Account

List recipients

POST
/account.recipient.getMany

Response Body

Successful response

TypeScript Definitions

Use the response body type in TypeScript.

dataRequiredarray<object>

Error response

TypeScript Definitions

Use the response body type in TypeScript.

errorRequiredobject
curl -X POST "/v1/account.recipient.getMany"
fetch("/v1/account.recipient.getMany")
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "/v1/account.recipient.getMany"

  req, _ := http.NewRequest("POST", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "/v1/account.recipient.getMany"

response = requests.request("POST", url)

print(response.text)
{
  "data": [
    {
      "account_id": "string",
      "account_metadata": {
        "name": "string",
        "email": "string",
        "secondary_email": "string",
        "phone_number": {
          "country_code": "string",
          "number": "string"
        },
        "business_info": {
          "address": {
            "line1": "string",
            "city": "string",
            "state": "string",
            "postal_code": "string",
            "country": "AF",
            "line2": "string",
            "countryISO3166_1": "string"
          },
          "entity_name": "string",
          "registration_number": "string"
        },
        "is_hidden": true
      },
      "account_preferences": {
        "notifications": {
          "transactions": true
        }
      },
      "created_at": "string",
      "totals": {
        "transfers": 0,
        "fiatAmount": 0
      }
    }
  ]
}
{
  "error": {
    "code": "PARSE_ERROR",
    "message": "string"
  }
}